Crafty.c("Bridge", {
	init: function() {
		this.requires("2D, Canvas, Collision")
		this.ready = true;
		this.bind("Draw", function(e) {
			ctx = e.ctx;
			ctx.fillStyle = "rgb(200,0,0)";  
			ctx.fillRect (0, 0, this.w, this.h);  
		});
		this.z = -1;
	},
	Bridge: function(start, end, width, route) {
		dx = start.x-end.x;
		dy = start.y-end.y;
		dist = Math.sqrt(dx*dx+dy*dy);
		this.x = start.x-dy/dist*width/2.0;
		this.y = start.y+dx/dist*width/2.0;
		this.h = width;
		this.w = dist;
		this.collision(new Crafty.polygon([0,0], [this.w, 0], [this.w, this.h], [0,this.h]))
		this.rotation = Math.atan2(dy, dx)/Math.PI*180.0+180;
		console.log(this.rotation)
		if(route) {
			Crafty.e("2D, Canvas, Snap, bridge").origin("center").Snap(start.x, start.y, route);
			Crafty.e("2D, Canvas, Snap, bridge").origin("center").Snap(end.x, end.y, route);
		}
		return this;
	}
});