Crafty.c("Checkpoint",{
	init: function() {
		this.requires("2D, Canvas, Sprite, Mouse, Wobble");
		this.bind("Click", function(e) {
			if(this.active&&!this.checked) {
				this._route.addPoint(Crafty.e("Waypoint").Waypoint(this.realX, this.realY));
				this.checked = true;
				this.active = false;
				this._wobble = false;
				if(this.has("home")) {
					Players[CurrentPlayer].path = this._route.toArray();
					CurrentPlayer++;
					if(CurrentPlayer<Players.length) {
						console.log("plot")
						Crafty.scene("turn");
					} else {
						CurrentPlayer = 0;
						console.log("play")
						Crafty.scene("preplay");
					}
				} else {
					console.log(this.next)
					this.next.active = true;
					this.next._wobble = true;
					
				}
			}
		});

	},
	check: function() {
		var points = Crafty("Checkpoint");
		for(var i = 0; i<points.length; i++) {
			var point = Crafty(points[i]);
			if(!point.checked) {
				return false;
			}
		}
		return true;
	},
	Checkpoint: function(x, y, route, active, next) {
		this.realX = x;
		this.realY = y;
		this.checked = false;
		this.active = active||false;
		this._wobble = this.active;
		this.next = next;
		this.x = this.realX-this._origin.x;
		this.y = this.realY-this._origin.y
		if(!route) {
			this.unbind("Click");
			this.unbind("MouseOver");
			this.unbind("MouseOut");
		} else {
			this._route = route;
		}
		return this;
	}
	
});