Crafty.c("Dynamite", {
	init: function() {
		this.requires("2D, Canvas, Delay, Collision, dynamite");
	},
	Dynamite: function(x, y) {
		this.origin("center")
		this.realX = x;
		this.realY = y;
		this.x = x-this._origin.x;
		this.y = y-this._origin.y;
		var circ = new Crafty.circle(0, 0, 16);
		circ.shift(this._origin.x, this._origin.y);
		this.collision(circ);
		this.delay(function() {
			for(var i = 0; i<8; i++) {
				Crafty.e("Explosion").Explosion(this.realX, this.realY);
			}
			hits = this.hit("Bridge");
			for(var i = 0; i<hits.length; i++) {
				hits[i].obj.destroy();
			}
			hits = this.hit("Runner");
			for(var i = 0; i<hits.length; i++) {
				hits[i].obj._explosionFrames+=32;
				
			}
			this.destroy();
		}, 1000)
	}
})

Crafty.c("Explosion", {
	_size: 0.0,
	init: function() {
		this.requires("2D, Delay, Canvas, explosion")
		this.bind("EnterFrame", function() {
			this.rotation = this._size*720*this._dir;
			this.w = 32*this._size
			this.h = 32*this._size
			this._size+=0.02;
			this.origin("center");
			this.x = this.realX-this._origin.x;
			this.y = this.realY-this._origin.y;
		})
	},
	Explosion: function(x, y) {
		this.realX = x+Math.random()*8-4;
		this.realY = y+Math.random()*8-4;
		this.origin("center");
		this.x = this.realX-this._origin.x;
		this.y = this.realY-this._origin.y;
		this._dir = (Math.random()-0.5)*2;
		this._size = Math.random();
		this.delay(function() {
			this.destroy();
		}, Math.random()*1000)
	}
})