Crafty.c("Line", {
	init: function() {
		this.requires("2D, Canvas")
	},
	Line: function(first, second) {
		this.first = {x: first.x, y: first.y};
		this.second = {x: second.x, y: second.y};
		this.x = Math.min(first.x, second.x);
		this.y = Math.min(first.y, second.y);
		this.w = Math.max(first.x, second.x)-this.x;
		this.h = Math.max(first.y, second.y)-this.y;
		this.bind("Draw", function(e) {
			var ctx = e.ctx;
			ctx.lineWidth = 2;
			ctx.lineCap = "round";
			
			ctx.beginPath();
			ctx.moveTo(this.first.x, this.first.y);
			ctx.lineTo(this.second.x, this.second.y);
			ctx.stroke();
		})
		return this;
	}
})