var MapList = [
	{
		bg: "sprites/testmap_texture.jpg", 
		data: "sprites/testmap.png", 
		bridges: [
			{width: 8, start: {x: 357, y: 148}, end: {x: 344,y: 190}}
		]
	},
	{
		bg: "sprites/map_01_texture.jpg", 
		data: "sprites/map_01.png", 
		bridges: [
			{width: 8, start: {x: 166, y: 144}, end: {x: 187,y: 93}},
			{width: 8, start: {x: 302, y: 133}, end: {x: 363,y: 132}},
			{width: 8, start: {x: 295, y: 249}, end: {x: 282,y: 209}},
			{width: 8, start: {x: 489, y: 355}, end: {x: 544,y: 352}}
		]
	},
	{
		bg: "sprites/map_02_texture.jpg", 
		data: "sprites/map_02.png", 
		bridges: [
			{width: 8, start: {x: 213, y: 279}, end: {x: 214,y: 332}},
			{width: 8, start: {x: 553, y: 252}, end: {x: 617,y: 249}}
		]
	},
	{
		bg: "sprites/map_03_texture.jpg", 
		data: "sprites/map_03.png", 
		bridges: [
			{width: 8, start: {x: 213, y: 279}, end: {x: 214,y: 332}}
		]
	}
]
Crafty.c("Map", {
	init: function() {
		this.requires("2D, Canvas, Image")
		this.z = -2;
	},
	Map: function(map, route) {
		this.image(map.bg);
		for(var i = 0; i<map.bridges.length; i++) {
			var bridge = map.bridges[i];
			
			Crafty.e("Bridge").Bridge(bridge.start, bridge.end, bridge.width, route);
		}
		return this;
	}
});
