var WaypointMenu = undefined;
Crafty.c("Waypoint", {
	type: "",
	init: function() {
		this.requires("2D, Mouse, Canvas, Tint, waypoint, Sprite");
		this.bind("Click", function(e) {
			//this.type = (this.type+1)%4;
			//this.sprite(this.type,0,1,1);
			if(WaypointMenu) {WaypointMenu.destroy();WaypointMenu = false;}
			WaypointMenu = Crafty.e("WaypointMenu").WaypointMenu(this);

		});
	},
	tryRemove: function() {
		if(this._route) {
			result = this._route.tryRemove(this);
			if(result) {
				this.destroy();
			}
		}
	},
	Waypoint: function(x, y, route) {
		this.realX = x;
		this.realY = y;
		this._route = route;
		this.sprite(0,0,1,1);
		this.origin(4,4);
		this.x = x-this._origin.x;
		this.y = y-this._origin.y;
		return this;
	}
});
Crafty.c("WaypointMenu", {
	init: function() {
		this.requires("2D, Canvas")
	},
	effect: function(which) {
		
		
		this._point.type = which;
		if(which=="Delete") {this._point.tryRemove();}
		this.destroy();
	},
	WaypointMenu: function(parent) {
		this.attach(Crafty.e("2D, Canvas, Mouse, caltropsicon").bind("Click", function() {
			this._parent.effect("Caltrops");
		}));
		this.attach(Crafty.e("2D, Canvas, Mouse, dynamiteicon").attr({x:32}).bind("Click", function() {
			this._parent.effect("Dynamite");
		}))
		this.attach(Crafty.e("2D, Canvas, Mouse, removeicon").attr({x:64}).bind("Click", function() {
			this._parent.effect("Delete");
		}))
		this.x = parent.x;
		this.y = parent.y;
		this._point = parent;
		return this;
	}
});
